#ifndef UART_BAUDRATE
#error "Define UART_BAUDRATE befire including this file"
#endif

void UART_init(void)
{
	DDRE = (DDRE | 2) & ~1; //   - PE0 in, PE1 out
	
	UCSR0B = 0x00; //   uart
	UCSR0A = 0x00;
	UCSR0C = 0x06;
	UBRR0L = UART_BAUDRATE;
	UBRR0H = 0x00;
	UCSR0B = 0x18; // 
}

void UART_write(unsigned char c) //  
{
	while(!(UCSR0A & BIT(UDRE0)))
		;
	UDR0 = c;
}

unsigned char UART_read(void) //  
{
	while(!(UCSR0A & BIT(RXC0)))
		;
	return UDR0;
}


unsigned char UART_isdata(void)
{          
	if((UCSR0A & BIT(RXC0)))
		return 1;
	else
		return 0;
}          

